#include "writepin.h"

void writePin(volatile unsigned char * const port, const unsigned char pin, const bool state)
{
	*port = (*port & ~(1 << pin)) | (1 << pin)*state;
}

void setBit( volatile unsigned char * const reg, const unsigned char bit, const bool value )
{
    writePin(reg, bit, value);
}

void setDirection( volatile unsigned char * const portDirReg, const unsigned char pin, const bool makeOutput )
{
    writePin(portDirReg, pin, makeOutput);
}

bool readPin( volatile const unsigned char * const inPort, const unsigned char pin)
{ 
	return (bool) (*inPort & (1 << pin));
}
